You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 

74 lines
2.2 KiB

{
"name": "google-play-music-desktop-player",
"productName": "Google Play Music Desktop Player",
"version": "3.0.0",
"description": "An electron wrapper for Google Play Music",
"main": "build/index.js",
"scripts": {
"build": "gulp build",
"clean": "gulp clean",
"lint": "eslint ./src/ ./test/",
"make:win": "gulp make:win",
"make:darwin": "gulp make:darwin",
"make:linux": "gulp make:linux",
"package:darwin": "gulp package:darwin",
"package:win": "gulp package:win",
"package:linux": "gulp package:linux",
"release:win": "release-nucleus --nucleus-path=./ --release-type=win",
"release:darwin": "release-nucleus --nucleus-path=./ --release-type=darwin",
"test": "npm run lint",
"test-unit": "electron-mocha ./test -r test/support/prerun.js",
"start": "electron .",
"watch": "gulp watch"
},
"author": "Samuel Attard",
"license": "MIT",
"dependencies": {
"electron-prebuilt": "0.36.7",
"html-entities": "^1.2.0",
"lastfm": "^0.9.2",
"lodash": "^4.0.0",
"md5": "^2.0.0",
"mkdirp": "^0.5.1",
"node-fetch": "^1.3.3",
"semver": "^5.1.0",
"ws": "^1.0.1"
},
"devDependencies": {
"babel-preset-es2015": "^6.3.13",
"babel-register": "^6.4.3",
"chai": "^3.4.1",
"electron-mocha": "^0.8.0",
"electron-packager": "^5.2.0",
"eslint": "^1.10.3",
"eslint-config-airbnb": "^3.1.0",
"gmusic-mini-player.js": "^1.0.1",
"gmusic-theme.js": "^1.0.8",
"gmusic.js": "^4.0.3",
"grunt": "^0.4.5",
"grunt-cli": "^0.1.13",
"grunt-electron-installer": "^1.2.0",
"gulp": "^3.9.0",
"gulp-babel": "^6.1.1",
"gulp-clean": "^0.3.1",
"gulp-concat": "^2.6.0",
"gulp-cssmin": "^0.1.7",
"gulp-electron": "0.0.10",
"gulp-grunt": "^0.5.3",
"gulp-less": "^3.0.5",
"gulp-rename": "^1.2.2",
"gulp-replace": "^0.5.4",
"jquery": "^2.2.0",
"material-design-icons-iconfont": "^2.0.4",
"materialize-css": "^0.97.5",
"mocha": "^2.3.4",
"mocha-sinon": "^1.1.5",
"nucleus-player-releaser": "^1.0.1",
"request": "^2.69.0",
"sinon": "^1.17.2",
"sinon-chai": "^2.8.0"
},
"optionalDependencies": {
"electron-installer-debian": "^0.2.0"
}
}